;;;; -*- Emacs-Lisp -*-
;;;;
;;;; Auto-compile magic
;;;;
;;;; Adapted by Arthur Gleckler from Bill Rozas's original.

(defun auto-compile ()
  (let ((saved-hooks write-file-hooks))
    (unwind-protect
	(progn
	  (setq write-file-hooks nil)
	  (basic-save-buffer)
	  (byte-compile-file buffer-file-name)
	  (message "Saved and byte compiled.")
	  (normal-mode)
	  t)
      (setq write-file-hooks saved-hooks))))


;;; Make Emacs automagically byte-compile this file when it is saved.
;;;
;;; Local Variables:
;;; write-file-hooks: ((lambda () (if (fboundp 'auto-compile) (auto-compile))))
;;; End: