; -*-Emacs-Lisp-*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File:         site-init.el
; RCS:          $Header: $
; Description:  site-init.el for capitalist.princeton.edu
; Author:       Carl Edman
; Created:      Thu Mar 30 11:23:12 1989
; Modified:     Wed Apr 27 08:37:58 1994
; Language:     Lisp
; Package:      N/A
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(load-library "crypt++")
(load-library "dired")
(load-library "dired-x19")
(load-library "ange-ftp")
(load-library "load-lib-comp")
(load-library "header")
(load-library "ispell")
(load-library "ispell-message")
(load-library "xscheme")
(load-library "saveplace")
(load-library "icomplete")

(autoload 'swap-bs-del "swap-bsdel" "swaps backspace and delete key in translation table" t)
(autoload 'hide-copyleft-region "hide-copyleft" nil t)
(autoload 'unhide-copyleft-region "hide-copyleft" nil t)
(autoload 'smalltalk-mode "st" "Nifty mode for smalltalk" t)
(autoload 'bison-mode "bison" "Mode for editing yacc and bison files" t)
(autoload 'perl-mode "perl-mode" "use mode for perl" t)
(autoload 'find-this-error "this-error" "jump to error on current line of error buffer" t)
(autoload 'format-lisp-code-directory "lispdir" nil t)
(autoload 'lisp-dir-apropos "lispdir" "Find out about availability of emacs lisp packages." t)
(autoload 'lisp-dir-retrieve "lispdir" nil t)
(autoload 'lisp-dir-verify "lispdir" nil t)
(autoload 'vm "vm" "View mail" t)
(autoload 'w3-preview-this-buffer "w3" "WWW Previewer" t)
(autoload 'w3-follow-url-at-point "w3" "Find document at pt" t)
(autoload 'w3 "w3" "WWW Browser" t)
(autoload 'w3-open-local "w3" "Open local file for WWW browsing" t)
(autoload 'w3-fetch "w3" "Open remote file for WWW browsing" t)
(autoload 'w3-use-hotlist "w3" "Use shortcuts to view WWW docs" t)
(autoload 'gopher-dispatch-object "gopher" "Fetch gopher dir" t)
(autoload 'html-mode "html-mode" "Edit HTML docs" t)
(autoload 'describe-perl-symbol "perl-descr" "One-line information on a perl symbol" t)
(autoload 'switch-to-perl-doc-buffer "perl-descr" "One-line information on a perl symbol" t)
(autoload 'bbdb         "bbdb-com" "Insidious Big Brother Database" t)
(autoload 'bbdb-name    "bbdb-com" "Insidious Big Brother Database" t)
(autoload 'bbdb-company "bbdb-com" "Insidious Big Brother Database" t)
(autoload 'bbdb-net     "bbdb-com" "Insidious Big Brother Database" t)
(autoload 'bbdb-notes   "bbdb-com" "Insidious Big Brother Database" t)
(autoload 'bbdb-insinuate-vm       "bbdb-vm"    "Hook BBDB into VM")
(autoload 'bbdb-insinuate-rmail    "bbdb-rmail" "Hook BBDB into RMAIL")
(autoload 'bbdb-insinuate-mh       "bbdb-mhe"   "Hook BBDB into MH-E")
(autoload 'bbdb-insinuate-rmail    "bbdb-rmail" "Hook BBDB into RMAIL")
(autoload 'bbdb-insinuate-mh       "bbdb-mhe"   "Hook BBDB into MH-E")
(autoload 'bbdb-insinuate-gnus     "bbdb-gnus"  "Hook BBDB into GNUS")
(autoload 'bbdb-insinuate-sendmail "bbdb"       "Hook BBDB into sendmail")

(setq gnus-default-nntp-server "nntpserver.princeton.edu"
      gnus-use-generic-from "princeton.edu"
      gnus-local-domain "princeton.edu"
      gnus-local-organization "Princeton University")

(eval-after-load "perl-mode"
   '(define-key perl-mode-map "\M-l" 'describe-perl-symbol))
(eval-after-load "makefile"
   '(define-key makefile-mode-map "\C-i" 'self-insert-command))

(setq exec-path '("~/Unix/bin" "/usr/local/bin" "/usr/local/bin/pbm"
                  "/usr/local/bin/rcs" "/usr/local/bin/X11" "/usr/dialupip/bin"
                  "/usr/sybase/bin" "/usr/sybase/install" "/usr/ucb" "/usr/hosts"
                  "/usr/games/bin" "/bin" "/usr/bin" "/usr/bin/X11" "/usr/local/etc"
                  "/usr/etc" "/usr/lib" ".")
      search-slow-speed 2400
      icomplete-inhibit t
      ispell-program-name "/usr/local/bin/ispell"
      ispell-grep-command "/usr/local/bin/gegrep"
      dired-guess-shell-gnutar "gnutar"
      buffer-header-defaults (cons (list 'perl-mode ?\# "# -*-Perl-*-" nil)
                                   buffer-header-defaults)
      header-line-search 4)

(setq auto-mode-alist (cons '("\\.y$" . bison-mode) auto-mode-alist))
(setq auto-mode-alist (cons '("\\.st$" . smalltalk-mode) auto-mode-alist))
(setq auto-mode-alist (cons '("\\.pl$" . perl-mode) auto-mode-alist))
(setq auto-mode-alist (cons '("\\.m$" . c-mode)  auto-mode-alist))
(setq auto-mode-alist (cons '("\\.ma$" . math-mode)  auto-mode-alist))
(setq auto-mode-alist (cons '("[Mm]akefile" . makefile-mode) auto-mode-alist))
